Debian Bug report logs - #600365
gksu: On kfreebsd gksu never runs the program requested to run.

version graph

Package: libgksu; Maintainer for libgksu is Gustavo Noronha Silva <kov@debian.org>;

Reported by: Michael Dorrington <michael.dorrington@gmail.com>

Date: Sat, 16 Oct 2010 13:45:02 UTC

Severity: important

Tags: patch

Found in version 2.0.13~pre1-2

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Gustavo Noronha Silva <kov@debian.org>:
Bug#600365; Package gksu. (Sat, 16 Oct 2010 13:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Gustavo Noronha Silva <kov@debian.org>. (Sat, 16 Oct 2010 13:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: submit@bugs.debian.org
Subject: gksu: On kfreebsd gksu never runs the program requested to run.
Date: Sat, 16 Oct 2010 14:35:10 +0100
[Message part 1 (text/plain, inline)]
Package: gksu
Version: 2.0.2-3
Severity: important
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-CC: debian-bsd@lists.debian.org

On kfreebsd, when the first program is requested to run in a GNOME
session using gksu the user is prompted for the administrative password.
Entering of an incorrect password causes the user to be prompted for the
password again, as gksu should behave. On entering a correct password
the program requested to run is not run, this not how gksu should
behave. If a program is later requested to run using gksu then a
"Granting Rights" item appears in Window List for several seconds and
then disappears but the requested program is not run. These programs can
be run using 'su -c'.

$ gksu --debug gnome-system-log
xauth: -edb34b3bcaa00f11c3796acb0718d433
-
display: -:0.0-
final xauth: -edb34b3bcaa00f11c3796acb0718d433
-
final display: -:0.0-
STARTUP_ID: gksu/gnome-system-log/7005-0-debian-kfreebsd-i386-3_TIME0
gksu_context_run: buf: -Password: -
password from keyring found
DEBUG (run:after-pass) buf: -Password: -
-EBUG (run:post-after-pass) buf: -
-EBUG (run:post-after-pass) buf: -gksu: waiting
-EBUG (gksu: waiting) buf: -gksu: waiting
<Output stops there and command doesn't return.>
<On i386 there is an extra line of output "Calling pass_not_needed
window..." and then (on i386) the program is run.>
^C
$ echo $?
130

Regards,
Mike.

P.S. Recreated .Xauthority now. :)

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.1-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gksu depends on:
ii  libatk1.0-0                1.30.0-1      The ATK accessibility toolkit
ii  libc0.1                    2.11.2-6      Embedded GNU C Library:
Shared lib
ii  libcairo2                  1.8.10-6      The Cairo 2D vector
graphics libra
ii  libfontconfig1             2.8.0-2.1     generic font configuration
library
ii  libfreetype6               2.4.2-1       FreeType 2 font engine,
shared lib
ii  libgconf2-4                2.28.1-4      GNOME configuration
database syste
ii  libgksu2-0                 2.0.13~pre1-1 library providing su and
sudo func
ii  libglib2.0-0               2.24.2-1      The GLib library of C routines
ii  libgnome-keyring0          2.30.1-1      GNOME keyring services library
ii  libgtk2.0-0                2.20.1-1+b1   The GTK+ graphical user
interface
ii  libpango1.0-0              1.28.1-1      Layout and rendering of
internatio
ii  libstartup-notification0   0.10-1        library for program launch
feedbac
ii  sudo                       1.7.4p4-2     Provide limited super user
privile

Versions of packages gksu recommends:
ii  gnome-keyring                 2.30.3-2   GNOME keyring services
(daemon and

gksu suggests no packages.

-- no debconf information

[signature.asc (application/pgp-signature, attachment)]

Added indication that 600365 affects gnome-system-log Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 14:00:03 GMT) Full text and rfc822 format available.

Removed indication that 600365 affects gnome-system-log Added indication that 600365 affects software-properties-gtk Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 14:00:03 GMT) Full text and rfc822 format available.

Removed indication that 600365 affects software-properties-gtk Added indication that 600365 affects synaptic Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 14:00:04 GMT) Full text and rfc822 format available.

Removed indication that 600365 affects synaptic Added indication that 600365 affects update-manager-gnome Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 14:00:05 GMT) Full text and rfc822 format available.

Removed indication that 600365 affects update-manager-gnome Added indication that 600365 affects update-notifier Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 14:00:05 GMT) Full text and rfc822 format available.

Removed indication that 600365 affects update-notifier Added indication that 600365 affects software-properties-gtk, gnome-system-log, and synaptic Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 14:06:02 GMT) Full text and rfc822 format available.

Added indication that 600365 affects software-properties-gtk, update-manager-gnome, gnome-system-log, update-notifier, and synaptic Request was from Michael Dorrington <michael.dorrington@gmail.com> to control@bugs.debian.org. (Sat, 16 Oct 2010 14:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Noronha Silva <kov@debian.org>:
Bug#600365; Package gksu. (Tue, 16 Nov 2010 19:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Gustavo Noronha Silva <kov@debian.org>. (Tue, 16 Nov 2010 19:33:02 GMT) Full text and rfc822 format available.

Message #24 received at 600365@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 600365@bugs.debian.org, control@bugs.debian.org
Cc: Michael Dorrington <michael.dorrington@gmail.com>
Subject: gksu never runs the program requested on GNU/kFreeBSD
Date: Tue, 16 Nov 2010 20:32:30 +0100 (CET)
reassign 600365 libgksu 2.0.13~pre1-2
tags 600365 + patch
affects 600365 gksu
--

Hi,

the problem have been also detected on plain FreeBSD.
See http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/141149

And the same fix/workaround also works for current libgksu.

Please apply soon.

Thanks in advance.

		Petr


--- libgksu/libgksu.c
+++ libgksu/libgksu.c
@@ -2202,7 +2202,9 @@
              write (fdpty, line, strlen(line));
              g_free (line);

+#ifndef __FreeBSD_kernel__
              tcdrain (fdpty);
+#endif

              bzero (buf, 256);
              read (fdpty, buf, 255);







Bug reassigned from package 'gksu' to 'libgksu'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 16 Nov 2010 19:33:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gksu/2.0.2-3. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 16 Nov 2010 19:33:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.0.13~pre1-2. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 16 Nov 2010 19:33:07 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 16 Nov 2010 19:33:08 GMT) Full text and rfc822 format available.

Removed indication that 600365 affects software-properties-gtk, update-manager-gnome, gnome-system-log, update-notifier, and synaptic Added indication that 600365 affects gksu Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 16 Nov 2010 19:33:08 GMT) Full text and rfc822 format available.

Added indication that 600365 affects gnome-system-log, software-properties-gtk, synaptic, update-manager-gnome, and update-notifier Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Tue, 16 Nov 2010 19:42:05 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Sun, 21 Nov 2010 10:33:07 GMT) Full text and rfc822 format available.

Notification sent to Michael Dorrington <michael.dorrington@gmail.com>:
Bug acknowledged by developer. (Sun, 21 Nov 2010 10:33:07 GMT) Full text and rfc822 format available.

Message #41 received at 600365-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 600365-close@bugs.debian.org
Subject: Bug#600365: fixed in libgksu 2.0.13~pre1-3
Date: Sun, 21 Nov 2010 10:32:17 +0000
Source: libgksu
Source-Version: 2.0.13~pre1-3

We believe that the bug you reported is fixed in the latest version of
libgksu, which is due to be installed in the Debian FTP archive:

libgksu2-0_2.0.13~pre1-3_amd64.deb
  to main/libg/libgksu/libgksu2-0_2.0.13~pre1-3_amd64.deb
libgksu2-dev_2.0.13~pre1-3_amd64.deb
  to main/libg/libgksu/libgksu2-dev_2.0.13~pre1-3_amd64.deb
libgksu_2.0.13~pre1-3.diff.gz
  to main/libg/libgksu/libgksu_2.0.13~pre1-3.diff.gz
libgksu_2.0.13~pre1-3.dsc
  to main/libg/libgksu/libgksu_2.0.13~pre1-3.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 600365@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated libgksu package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 21 Nov 2010 11:21:42 +0100
Source: libgksu
Binary: libgksu2-0 libgksu2-dev
Architecture: source amd64
Version: 2.0.13~pre1-3
Distribution: unstable
Urgency: low
Maintainer: Gustavo Noronha Silva <kov@debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 libgksu2-0 - library providing su and sudo functionality
 libgksu2-dev - library providing su and sudo functionality (development files)
Closes: 600365 601168
Changes: 
 libgksu (2.0.13~pre1-3) unstable; urgency=low
 .
   * pt_BR.po: updated Brazilian Portuguese translation by Sérgio
     Cipolla. Closes: #601168.
   * 01_tcdrain_kfreebsd.patch: patch from Petr Salinger. Don’t use
     tcdrain on kfreebsd. Closes: #600365.
Checksums-Sha1: 
 b418b6fc3b04f8b3e8785409a1a3e4d7bce180b6 1535 libgksu_2.0.13~pre1-3.dsc
 978662e0f30625ac568e143c3bd7e137248f1cc0 22224 libgksu_2.0.13~pre1-3.diff.gz
 3135b29cfabb8cc675dc43ffcdbd9988ce9dddb2 116504 libgksu2-0_2.0.13~pre1-3_amd64.deb
 6fc18dc3aaeb36c7174a1e15c8abe32822a96d24 62230 libgksu2-dev_2.0.13~pre1-3_amd64.deb
Checksums-Sha256: 
 4ea0dcae10e54450485c71bee5f9a36c5ecf60e9ada7b73aacf707f14d0b25cc 1535 libgksu_2.0.13~pre1-3.dsc
 09e82b8dfb03a0ce20620d5f6335503fec3cda1ee1a41c4cf08f0c793b3cc680 22224 libgksu_2.0.13~pre1-3.diff.gz
 6f34ff86800eb0b9211d077583495dbd6e725fd9b0d556aa2c58ba63433cb4ba 116504 libgksu2-0_2.0.13~pre1-3_amd64.deb
 b0b9ccae4b333a0476d55bdbf7258b5357c8e23fd75420e06ed235d6417ad4e7 62230 libgksu2-dev_2.0.13~pre1-3_amd64.deb
Files: 
 4cd234ca4bcd2a5bae3af741f4cf3b79 1535 admin optional libgksu_2.0.13~pre1-3.dsc
 7267e72e052d14a3f87340d15d533808 22224 admin optional libgksu_2.0.13~pre1-3.diff.gz
 5e0e59c834c4604e80e8dd3a4577708b 116504 libs optional libgksu2-0_2.0.13~pre1-3_amd64.deb
 1a75207d8ac7ae264e34c735eff2e966 62230 libdevel optional libgksu2-dev_2.0.13~pre1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFM6PQarSla4ddfhTMRAq8zAJ9xwQO8QaRn+8wlGH8J/b0BWyc8xACgqlNY
+tclUjkoaOfB2sYZrVK/EUE=
=BMgc
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Noronha Silva <kov@debian.org>:
Bug#600365; Package libgksu. (Sun, 21 Nov 2010 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Noronha Silva <kov@debian.org>. (Sun, 21 Nov 2010 16:18:03 GMT) Full text and rfc822 format available.

Message #46 received at 600365@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: 600365@bugs.debian.org
Subject: Re: Bug#600365 closed by Josselin Mouette <joss@debian.org> (Bug#600365: fixed in libgksu 2.0.13~pre1-3)
Date: Sun, 21 Nov 2010 16:13:54 +0000
[Message part 1 (text/plain, inline)]
Debian Bug Tracking System wrote:
[snip]
> Changes: 
>  libgksu (2.0.13~pre1-3) unstable; urgency=low
>  .
>    * pt_BR.po: updated Brazilian Portuguese translation by Sérgio
>      Cipolla. Closes: #601168.
>    * 01_tcdrain_kfreebsd.patch: patch from Petr Salinger. Dont use
>      tcdrain on kfreebsd. Closes: #600365.

With the attached libgksu-2.0.13~pre1-kfreebsd_tcdrain-1.patch patch
applied to gksu,  the "Granting Rights" window is now displayed but gksu
does not completely work, the program that is granted rights is never
displayed.

Example of using the command for "Log File Viewer" menu item:

$ gksu gnome-system-log
kvm_open: kvm_nlist: No such file or directory
No protocol specified

(gnome-system-log:4168): gnome-system-log-CRITICAL **: Unable to parse
arguments: Cannot open display:
LibGTop-Server: pid 4184 received eof.
$ echo $?
1

Whereas, the command does run using su:

$ su -c gnome-system-log
Password:
GConf Error: Failed to contact configuration server; the most common
cause is a missing or misconfigured D-Bus session bus daemon. See
http://projects.gnome.org/gconf/ for information. (Details -  1: Failed
to get connection to session: Did not receive a reply. Possible causes
include: the remote application did not send a reply, the message bus
security policy blocked the reply, the reply timeout expired, or the
network connection was broken.)
<lots more error messages like this but gnome-system-log works>
$

Do you want me to open a new bug report for this or continue to use this
bug report?

Additionally, I attach a patch that makes sure the tcdrain function is
not used on FreeBSD as well as kFreeBSD. Perhaps this could be submitted
upstream?

Regards,
Mike.
[libgksu-2.0.13~pre1-kfreebsd_tcdrain-1.patch (text/x-patch, inline)]
--- libgksu-2.0.13~pre1/libgksu/libgksu.c	2009-08-16 23:16:09.000000000 +0100
+++ libgksu-2.0.13~pre1-kfreebsd/libgksu/libgksu.c	2010-11-21 15:04:41.000000000 +0000
@@ -2202,7 +2202,9 @@
 	      write (fdpty, line, strlen(line));
 	      g_free (line);
 
+#ifndef __FreeBSD_kernel__
 	      tcdrain (fdpty);
+#endif
 
 	      bzero (buf, 256);
 	      read (fdpty, buf, 255);
[libgksu-2.0.13~pre1-kfreebsd+freebsd_tcdrain-1.patch (text/x-patch, inline)]
Description: Do not use tcdrain on kFreeBSD or FreeBSD.  
 The tcdrain call causes issues on kFreeBSD and FreeBSD so do not use it.
Author: Michael Dorrington <michael.dorrington@gmail.com>
Last-Update: 2010-11-21

--- libgksu-2.0.13~pre1.orig/libgksu/libgksu.c	2009-08-16 23:16:09.000000000 +0100
+++ libgksu-2.0.13~pre1/libgksu/libgksu.c	2010-11-21 15:10:47.000000000 +0000
@@ -2202,7 +2202,9 @@
 	      write (fdpty, line, strlen(line));
 	      g_free (line);
 
+#if ! defined(__FreeBSD__) && ! defined(__FreeBSD_kernel__)
 	      tcdrain (fdpty);
+#endif
 
 	      bzero (buf, 256);
 	      read (fdpty, buf, 255);
[signature.asc (application/pgp-signature, attachment)]

Information stored :
Bug#600365; Package libgksu. (Mon, 22 Nov 2010 16:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Mon, 22 Nov 2010 16:57:05 GMT) Full text and rfc822 format available.

Message #51 received at 600365-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Michael Dorrington <michael.dorrington@gmail.com>
Cc: 600365-quiet@bugs.debian.org
Subject: Re: [Fwd: Re: Bug#600365 closed by Josselin Mouette <joss@debian.org> (Bug#600365: fixed in libgksu 2.0.13~pre1-3)]
Date: Mon, 22 Nov 2010 17:55:34 +0100 (CET)
> $ gksu gnome-system-log
> kvm_open: kvm_nlist: No such file or directory
> No protocol specified
>
> (gnome-system-log:4168): gnome-system-log-CRITICAL **: Unable to parse
> arguments: Cannot open display:
> LibGTop-Server: pid 4184 received eof.
> $ echo $?
> 1

Does "gksu id" work for you ?

Please can you try whether "xhost +local:" before "gksu gnome-system-log" 
does help for you ?

Cheers

	Petr





Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Noronha Silva <kov@debian.org>:
Bug#600365; Package libgksu. (Sun, 05 Dec 2010 12:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Noronha Silva <kov@debian.org>. (Sun, 05 Dec 2010 12:03:06 GMT) Full text and rfc822 format available.

Message #56 received at 600365@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 600365@bugs.debian.org
Subject: Re: [Fwd: Re: Bug#600365 closed by Josselin Mouette <joss@debian.org> (Bug#600365: fixed in libgksu 2.0.13~pre1-3)]
Date: Sun, 05 Dec 2010 12:00:15 +0000
[Message part 1 (text/plain, inline)]
Petr Salinger wrote:

>> $ gksu gnome-system-log
>>     
>> kvm_open: kvm_nlist: No such file or directory
>>     
>> No protocol specified
>>     
>> (gnome-system-log:4168): gnome-system-log-CRITICAL **: Unable to parse
>>     
>> arguments: Cannot open display:
>>     
>> LibGTop-Server: pid 4184 received eof.
>>     
>> $ echo $?
>>     
>> 1
>>     
> Does "gksu id" work for you ?
>   
Yes and show its run as uid 0.

$ gksu id
kvm_open: kvm_nlist: No such file or directory
uid=0(root) gid=0(root) groups=0(root)
LibGTop-Server: pid 8762 received eof.


> Please can you try whether "xhost +local:" before "gksu gnome-system-log" 
> does help for you ?
>   
Yes, it works then.

Before:

$ gksu gnome-system-log
kvm_open: kvm_nlist: No such file or directory
No protocol specified

(gnome-system-log:8938): gnome-system-log-CRITICAL **: Unable to parse arguments: Cannot open display:
LibGTop-Server: pid 8949 received eof.

And gnome-system-log not displayed.

Then do:

$ xhost +local:
non-network local connections being added to access control list

After this gnome-system-log is displayed:

$ gksu gnome-system-log
kvm_open: kvm_nlist: No such file or directory
$ LibGTop-Server: pid 9202 received eof.

Interestingly, subsequent invocations do not produce the output to terminal:

$ gksu gnome-system-log
$


> Cheers
>   
>     Petr
Cheers,

Mike.


[signature.asc (application/pgp-signature, attachment)]

Bug No longer marked as fixed in versions libgksu/2.0.13~pre1-3 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Dec 2010 12:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Noronha Silva <kov@debian.org>:
Bug#600365; Package libgksu. (Mon, 13 Dec 2010 18:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Gustavo Noronha Silva <kov@debian.org>. (Mon, 13 Dec 2010 18:57:05 GMT) Full text and rfc822 format available.

Message #63 received at 600365@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Michael Dorrington <michael.dorrington@gmail.com>
Cc: 600365@bugs.debian.org
Subject: gksu on GNU/kFreeBSD
Date: Mon, 13 Dec 2010 19:58:01 +0100 (CET)
[Message part 1 (text/plain, inline)]
>> Please can you try whether "xhost +local:" before "gksu gnome-system-log"
>> does help for you ?
>>
> Yes, it works then.
>
> Before:
>
> $ gksu gnome-system-log
> kvm_open: kvm_nlist: No such file or directory
> No protocol specified
>
> (gnome-system-log:8938): gnome-system-log-CRITICAL **: Unable to parse arguments: Cannot open display:
> LibGTop-Server: pid 8949 received eof.
>
> And gnome-system-log not displayed.
>
> Then do:
>
> $ xhost +local:
> non-network local connections being added to access control list
>
> After this gnome-system-log is displayed:
>
> $ gksu gnome-system-log
> kvm_open: kvm_nlist: No such file or directory
> $ LibGTop-Server: pid 9202 received eof.


The attached patch fixes/workrounds it for me.

The problem is that for tty/pipes/sockets
the data might not be ready, but the code
in gksu-run-helper.c assumes that they are :-(

Petr
[gksu-run-helper.diff (text/x-diff, attachment)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:07:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.